Skip to main content
POST
/
api
/
v1
/
console
/
agents
Create agent
curl --request POST \
  --url https://api.bimpe.ai/api/v1/console/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "system_prompt": "<string>",
  "language": "en",
  "persona": "<string>",
  "agent_workflow_id": "<string>",
  "rules": [
    {
      "id": "<string>",
      "name": "<string>",
      "trigger": "<string>",
      "response": "<string>",
      "enabled": true,
      "condition": "<string>",
      "action": "<string>"
    }
  ],
  "timezone": "Africa/Lagos",
  "logo": "<string>",
  "business_name": "<string>",
  "business_address": "<string>",
  "business_email": "jsmith@example.com",
  "business_description": "<string>",
  "escalation_email": "jsmith@example.com"
}
'
{
  "message": "Success",
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "system_prompt": "<string>",
    "language": "<string>",
    "persona": "<string>",
    "agent_workflow_id": "<string>",
    "rules": [
      {
        "id": "<string>",
        "name": "<string>",
        "trigger": "<string>",
        "response": "<string>",
        "enabled": true,
        "condition": "<string>",
        "action": "<string>"
      }
    ],
    "timezone": "<string>",
    "logo": "<string>",
    "business_name": "<string>",
    "business_address": "<string>",
    "business_email": "<string>",
    "business_description": "<string>",
    "test_channel_code": "<string>",
    "status": "<string>",
    "status_reason": "<string>",
    "escalation_email": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

Headers

Idempotency-Key
string

Unique key to safely retry POST requests.

Maximum string length: 255

Body

application/json
name
string
required
Maximum string length: 255
description
string
Maximum string length: 2000
system_prompt
string
language
string
Maximum string length: 10
Example:

"en"

persona
string
Maximum string length: 50
agent_workflow_id
string
Maximum string length: 50
rules
object[]
timezone
string
Maximum string length: 64
Example:

"Africa/Lagos"

business_name
string
Maximum string length: 255
business_address
string
Maximum string length: 500
business_email
string<email>
business_description
string
Maximum string length: 2000
escalation_email
string<email>

Response

Agent created

message
string
required
Example:

"Success"

data
object
required